Subject: [AAA-WG]: Responses to Bernard's comments on the Credit Control Application

From: <[email-masked]>
Date: Thu, 22 May 2003 11:20:23 +0300

Hi all,

We have started to update the CCA to address some of the concerns raised;
here are some answers, in no particular order.

One concern that Bernard has is:

	[BA] Overall, this section leads me to believe that the purpose of this document
	is to provide a general solution to the credit control problem. Is that the intent, 
	or are the goals more specific to 3GPP? If it is the latter, then I think we need
	some more text describing the applicability of this specification. 

I think the goals are to define a general purpose mechanism that 3GPP can use.
So, I think we need to cover the cases that are general but also make sure
that 3GPP can use the application as well.  We have been working on text to
try to cover these cases:

	[BA] Here "service element" appears to refer to a Diameter proxy or server. 
	Is that correct? What does "can offer service event to the end user" mean?
	The service element doesn't speak Diameter to the end user, does it? Anyway,
	it's the NAS that offers the service, no? This statement confuses me.    

It seems the definition of 'Service Element' is not so clear, so we have
updated it.  In principle, a service element can be a Diameter element
or even an application server or SIP proxy.  I think this will allow
(with changes reflected in the document) for this application to be
used with Diameter elements & NASes but in scenarios for 3GPP as well.

  Service Element 
	A network element that provides a service to end user. The 
	Service Element may include the Credit-control Client or another entity 
	(e.g. RADIUS AAA server) can act as a Credit-control Client on behalf 
	of the Service Element. In the latter case the interface between the 
	Service Element and the Diameter Credit-control Client is outside the 
	scope of this specification. 

We also updated the draft to cover the case where the (H)AAA server interacts with 
the credit control server and acts as a credit control client and provide the following 
figures:

	Figure 1 illustrates the typical credit-control architecture, which consist'
	of a Service Element with embedded Diameter credit-control client, a Diameter 
	credit-control server and a AAA server. The credit-control server and AAA server 
	in this architecture model are logical entities. The real configuration can combine 
	them into a single host.

                         Service Element     AAA 
     +------------+       +-----------+    protocol  +--------------+ 
     |  End       |<----->| +-------+ |<------------>|    AAA       | 
     |  User      |   +-->| | CC    | |              |   Server     | 
     |            |   |   | | client| |<-----+       |              | 
     +------------+   |   | +-------+ |      |       +--------------+
                      |   +-----------+      |       
     +------------+   |                      |               
     |  End       |<--+                      |       +--------------+ 
     |  User      |                          +------>|Credit-control| 
     +------------+                  credit-control  |   Server     | 
                                        protocol     +--------------+

    Figure 1  Typical credit-control architecture

	A service element may authenticate and authorize the end user with the 
	AAA server using AAA protocols, e.g. RADIUS or a Diameter base protocol 
	with a possible Diameter application.

	Other entities, such as RADIUS AAA server, may act as a Diameter credit-control 
	client towards the Diameter credit-control server for service elements that use 
	credit control mechanisms other than Diameter credit control. In this case the AAA 
	server may contact the Diameter credit-control server as part of the authorization 
	process. This architecture alternative is illustrated in Figure 2, the interaction 
	between the Diameter credit-control client and the service element is outside the 
	scope of this specification.

                                             AAA
     +------------+       +-----------+    protocol  +--------------+ 
     |  End       |<----->| Service   |<------------>|     AAA      |
     |  User      |       | Element   |              |   Server     |
     +------------+   +-->|           |              | +----------+ |
                      |   +-----------+              | |CC client | |
                      |                              | +----------+ |    
     +------------+   |                              +-------A------+
     |  End       |<--+                     credit-control   |     
     |  User      |                               protocol   |
     +------------+                                  +-------V------+
                                                     |Credit-control|
                                                     |   Server     |
                                                     +--------------+
    
    Figure 2  Credit-control architecture with Service Element not
              supporting the credit-control protocol                                    
    
We've also added some messaging sequences as well, as an appendix.

Currently, the draft has a lot of changes in it; it might be helpful for
us to post an updated version for review.

More comments to follow.

John